Bug 1128625 - [TestCase|Component] Components and categories are mixed when adding components for the cases
Summary: [TestCase|Component] Components and categories are mixed when adding componen...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 08:48 UTC by Tingting Zhao
Modified: 2018-07-04 21:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
it is adding components sometimes but it lists the values of the categories (118.81 KB, image/png)
2014-08-11 08:48 UTC, Tingting Zhao
no flags Details
it is adding categories sometimes (135.20 KB, image/png)
2014-08-11 08:49 UTC, Tingting Zhao
no flags Details

Description Tingting Zhao 2014-08-11 08:48:17 UTC
Created attachment 925647 [details]
it is adding components sometimes but it lists the values of the categories

Description of problem:
as summary

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server

How reproducible:
100%

Steps to Reproduce:
1.open a test case ,eg,case id is 293362 with product is "tzhao test product".
Then click Components tab,and check the name of the add button.
2.then click this add component button,and check the box name.
3.then choose this product and check the category values.
4.then open the Test case categories link under the Admin menu.And search out the categories belonging to the product "tzhao test product"
5.open the Components under the Admin menu too and search out the components belonging to this product.

Actual results:
step 1:the add button is Add component.
step 2:the box name is categories.
step 3:the category only has "--default--"value under this product.
step 4:the categories only contains "--default--".
step 5:and the component contains four components.

And sometimes it's adding components,sometimes it's adding categories,
Even sometimes,it's adding mixtures of them.

Expected results:
make sure not to mix the components and categories together.

Additional info:
Search TCMS and find its all components and categories,you will find they are mixed too.

Comment 1 Tingting Zhao 2014-08-11 08:49:00 UTC
Created attachment 925648 [details]
it is adding categories sometimes

Comment 2 Tingting Zhao 2014-08-12 08:26:20 UTC
verify on devel server with nitrate 3.8.10 =====>pass
verify steps are the same as the description.


Note You need to log in before you can comment on or make changes to this bug.